.TH SOCKADDRLEN() "" "" "Sockets Function (libsocket)"
.PC "Return length of an address"
.B "#include <sys/socket.h>"
.B "#include <netinet/in.h>"
.B "#include <sys/un.h>"
\fBint SOCKADDRLEN(\fIaddress\^\fB)\fR
\fBstruct sockaddr *\fIaddress\^\fB;\fR
.PP
Function
.B SOCKADDRLEN()
returns the size, in bytes, of \fIaddress\fB->sa_family\fR.
This helps a program distinguish between a \*(UN and an Internet address.
.SH "See Also"
.Xr "libsocket" libsocket
.SH Notes
\*(CO implements
.B SOCKADDRLEN()
as a function rather than as a macro.
